# class DBus::Authentication::ExternalWithoutUid

A variant of EXTERNAL that doesn’t say our UID. Seen busctl do this and it worked across a container boundary.

### Public Instance Methods

call(_challenge) click to toggle source

       # File lib/dbus/auth.rb
    63 def call(_challenge)
    64   [:MechContinue, nil]
    65 end

name() click to toggle source

       # File lib/dbus/auth.rb
    59 def name
    60   "EXTERNAL"
    61 end